# Generated by Django 3.1 on 2020-08-26 20:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('manager', '0010_auto_20200827_0137'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='asset',
            name='asset_name',
        ),
        migrations.RemoveField(
            model_name='asset',
            name='assigned_quantity',
        ),
        migrations.RemoveField(
            model_name='asset',
            name='total_quantity',
        ),
        migrations.AddField(
            model_name='asset',
            name='asset_type',
            field=models.CharField(choices=[('LAPTOP', 'Laptop'), ('LAPTOP_BATTERY', 'Laptop Battery'), ('PEN', 'Pen'), ('MOBILE', 'Mobile')], default='LAPTOP', max_length=150),
            preserve_default=False,
        ),
        migrations.RemoveField(
            model_name='assignment',
            name='asset',
        ),
        migrations.AddField(
            model_name='assignment',
            name='asset',
            field=models.OneToOneField(default=1, on_delete=django.db.models.deletion.CASCADE, to='manager.asset'),
            preserve_default=False,
        ),
    ]
